package com.tzld.piaoquan.api.dao.mapper;

import com.tzld.piaoquan.api.model.po.ReplyStaff;
import com.tzld.piaoquan.api.model.po.ReplyStaffExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface ReplyStaffMapper {
    long countByExample(ReplyStaffExample example);

    int deleteByExample(ReplyStaffExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ReplyStaff record);

    int insertSelective(ReplyStaff record);

    List<ReplyStaff> selectByExample(ReplyStaffExample example);

    ReplyStaff selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ReplyStaff record, @Param("example") ReplyStaffExample example);

    int updateByExample(@Param("record") ReplyStaff record, @Param("example") ReplyStaffExample example);

    int updateByPrimaryKeySelective(ReplyStaff record);

    int updateByPrimaryKey(ReplyStaff record);
}